Subject: Crash in w32 menu (my patched version)

From: Lennart Borgman <[email-masked]>
Date: Thu, 7 Oct 2010 03:32:33 +0200

I got a crash in w32 menus.

Unfortunately I have some patches there (that has not been included in
Emacs). So I don't know if this can be used for something. But on the
other hand I do not think this is specific to my patched Emacs, it is
just that line numbers etc are not useful. (Of course I am not sure
about this.)

warning: HEAP[emacs.exe]:
warning: Invalid Address specified to RtlFreeHeap( 00850000, 008828F8 )

Program received signal SIGTRAP, Trace/breakpoint trap.
0x7c90120f in ntdll!DbgUiConnectToDbg () from C:\WINDOWS\system32\ntdll.dll
(gdb)

(gdb) bt
#0  0x7c90120f in ntdll!DbgUiConnectToDbg ()
   from C:\WINDOWS\system32\ntdll.dll
#1  0x7c96e139 in ntdll!RtlpNtMakeTemporaryKey ()
   from C:\WINDOWS\system32\ntdll.dll
#2  0x7c96e576 in ntdll!RtlpNtMakeTemporaryKey ()
   from C:\WINDOWS\system32\ntdll.dll
#3  0x7c96f75e in ntdll!RtlpNtMakeTemporaryKey ()
   from C:\WINDOWS\system32\ntdll.dll
#4  0x7c94bc4c in ntdll!LdrFindEntryForAddress ()
   from C:\WINDOWS\system32\ntdll.dll
#5  0x00850000 in ?? ()
#6  0x7c927573 in ntdll!RtlPcToFileHeader ()
   from C:\WINDOWS\system32\ntdll.dll
#7  0x011c4e4b in w32_free_submenu_strings (menu=0x4076b) at w32menu.c:1701
#8  0x011c4e5f in w32_free_submenu_strings (menu=0x40777) at w32menu.c:1706
#9  0x011c4e5f in w32_free_submenu_strings (menu=0x13602e9) at w32menu.c:1706
#10 0x011c4eaa in w32_free_menu_strings (hwnd=0x1603de) at w32menu.c:1723
#11 0x011c2b6e in menubar_selection_callback (f=0x3f7ee00, client_data=0x14c1)
    at w32menu.c:353
#12 0x011dc6fc in w32_read_socket (terminal=0x3053c00, expected=0,
    hold_quit=0x82f6e0) at w32term.c:4624
#13 0x0100e484 in read_avail_input (expected=0) at keyboard.c:6986
#14 0x0100e38e in gobble_input (expected=0) at keyboard.c:6907
#15 0x0100e341 in get_input_pending (addr=0x13fab50, flags=1)
    at keyboard.c:6870
#16 0x0101489c in detect_input_pending_run_timers (do_display=0)
    at keyboard.c:10511
#17 0x01007d44 in read_char (commandflag=1, nmaps=22, maps=0x82f990,
    prev_event=45467674, used_mouse_menu=0x82fb6c, end_time=0x0)
    at keyboard.c:2556
#18 0x01011c8e in read_key_sequence (keybuf=0x82fc60, bufsize=30,
    prompt=45467674, dont_downcase_last=0, can_return_switch_frame=1,
    fix_current_buffer=1) at keyboard.c:9349
#19 0x010064a7 in command_loop_1 () at keyboard.c:1618
#20 0x01020721 in internal_condition_case (bfun=0x1006185 <command_loop_1>,
    handlers=45521258, hfun=0x1005b7a <cmd_error>) at eval.c:1460
#21 0x01005eea in command_loop_2 (ignore=45467674) at keyboard.c:1338
#22 0x01020212 in internal_catch (tag=45519378,
    func=0x1005ec7 <command_loop_2>, arg=45467674) at eval.c:1204
#23 0x01005ea2 in command_loop () at keyboard.c:1317
#24 0x01005796 in recursive_edit_1 () at keyboard.c:940
#25 0x010058fa in Frecursive_edit () at keyboard.c:1002
#26 0x0100264c in main (argc=1, argv=0xa928e8) at emacs.c:1704
(gdb)